package com.seostella.swftests.domain;

import java.io.Serializable;

/**
 *
 * @author seostella.com
 */
@SuppressWarnings("serial")
public class Test implements Serializable {
    private static final long serialVersionUID = 1L;
    
    private String question;
    private String answer1;
    private String answer2;
    private String answer3;
    private int userAnswer;
    private int correctAnswer;

    public Test(
            String question, 
            String answer1, 
            String answer2, 
            String answer3, 
            int correctAnswer) {
        this.question = question;
        this.answer1 = answer1;
        this.answer2 = answer2;
        this.answer3 = answer3;
        this.correctAnswer = correctAnswer;
    }

    public String getAnswer1() {
        return answer1;
    }

    public String getAnswer2() {
        return answer2;
    }

    public String getAnswer3() {
        return answer3;
    }

    public String getQuestion() {
        return question;
    }

    public int getUserAnswer() {
        return userAnswer;
    }

    public int getCorrectAnswer() {
        return correctAnswer;
    }

    public void setAnswer1(String answer1) {
        this.answer1 = answer1;
    }

    public void setAnswer2(String answer2) {
        this.answer2 = answer2;
    }

    public void setAnswer3(String answer3) {
        this.answer3 = answer3;
    }

    public void setQuestion(String question) {
        this.question = question;
    }

    public void setCorrectAnswer(int correctAnswer) {
        this.correctAnswer = correctAnswer;
    }
    
    public void setUserAnswer(int result) {
        this.userAnswer = result;
    }
    
    public boolean isCorrectAnswer(){
        if( this.userAnswer == this.correctAnswer ){
            return true;
        }
        return false;
    }
    
    public String getUserAnswerAsText() {
        switch( this.userAnswer ){
            case 1:
                return answer1;
                
            case 2:
                return answer2;
                
            case 3:
                return answer3;
        }
        return "n/a";
    }
}
