package com.seostella.swftests.domain;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author seostella.com
 */
@SuppressWarnings("serial")
public class TestList implements Serializable {

    private static final long serialVersionUID = 1L;
    private List<Test> testAnswers;
    private int wrongAnswerCount = 0;

    public TestList() {
        testAnswers = new ArrayList<Test>();
    }

    public List<Test> getTests() {
        return testAnswers;
    }

    public void setTests(List<Test> results) {
        this.testAnswers = results;
    }
    
    public void addAnswer(Test test) {
        testAnswers.add(test);
        if( !test.isCorrectAnswer() ){
            wrongAnswerCount++;
        }
    }

    public int getWrongAnswerCount() {
        return wrongAnswerCount;
    }
   
}
