package com.seostella.swftests.service;

import com.seostella.swftests.domain.User;
import com.seostella.swftests.flow.exception.user.TooShortUsernameException;
import com.seostella.swftests.flow.exception.user.UserNotFoundException;
import java.util.ArrayList;
import java.util.List;
import org.springframework.stereotype.Component;

/**
 *
 * @author seostella.com
 */
@Component
public class UserService {
    private List<User> userList = null;

    public UserService() {
        userList = new ArrayList<User>();
        userList.add( new User("Sheldon") );
        userList.add( new User("Leonard") );
        userList.add( new User("Penny") );
        userList.add( new User("Howard") );
        userList.add( new User("Raj") );
        userList.add( new User("Amy") );
        userList.add( new User("Bernadette") );
        userList.add( new User("Stuart") );
        userList.add( new User("Priya") );
        userList.add( new User("Leslie") );
    }
    
    public User getUser(String name) throws TooShortUsernameException,
            UserNotFoundException{
        if (name != null && name.length() > 2) {
            for ( User user : userList ){
                if( user.getName().equals(name) ){
                    return user;
                }
            }
        } else {
            throw new TooShortUsernameException();
        }
        throw new UserNotFoundException();
    }
    
    public User createUser(String name) throws TooShortUsernameException{
        if (name != null && name.length() > 2) {
            User user = new User(name);
            userList.add( user );
            return user;
        } else {
            throw new TooShortUsernameException();
        }
    } 
}
